package com.base.system.service.impl.translation;

import com.base.common.core.service.UserService;
import com.base.common.framework.web.annotation.TranslationType;
import com.base.common.framework.web.constant.TransConstant;
import com.base.common.framework.web.handler.impl.TranslationInterface;
import lombok.AllArgsConstructor;

/**
 * 用户名称翻译实现
 *
 * @author may
 */
@AllArgsConstructor
@TranslationType(type = TransConstant.USER_ID_TO_NICKNAME)
public class NicknameTranslationImpl implements TranslationInterface<String> {

    private final UserService userService;

    @Override
    public String translation(Object key, String other) {
        if (key instanceof Long id) {
            return userService.selectNicknameByIds(id.toString());
        } else if (key instanceof String ids) {
            return userService.selectNicknameByIds(ids);
        }
        return null;
    }
}
